BizKitHub
DocsAPI ReferenceTeam Chat/bff/team-chat/block
postTeam ChatAdmin BFF

/bff/team-chat/block

While a block exists (either direction) the 1:1 room is read-only and neither person can start a conversation with or add the other to a group. Existing groups are not affected.

Team chatpostBffTeam-chatBlock

Parameters

JSON body

Request body

application/json
userIdstringRequired

User wire id (cas__user.external_id).

Length: 1–32
blockedbooleanRequired

Response schema

1 status code documented

200Success
blockedbooleanRequired

Response example

application/json
{
  "blocked": false
}

Request example

POST /bff/team-chat/block

post
curl -X POST "https://api.bizkithub.com/bff/team-chat/block" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "userId": "example_userId",
  "blocked": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key